# Class Match1Mapping

java.lang.Object
uk.ac.starlink.ttools.join.Match1Mapping

All Implemented Interfaces:
  `SingleTableMapping`

public class Match1Mapping extends Object implements SingleTableMapping
SingleTableMapping whose result is generated by performing an internal crossmatch on the input table.

Since:
  16 Nov 2007
Author:
  Mark Taylor

## Constructor Summary

Constructors
Constructor
Description
`Match1Mapping(uk.ac.starlink.table.join.MatchEngine matchEngine, uk.ac.starlink.table.join.Match1Type type1, String[] tupleExprs, uk.ac.starlink.table.join.ProgressIndicator progger, uk.ac.starlink.table.RowRunner runner)`
Constructs a Match1Mapping by giving instructions about how the internal match result table will be produced from the input table.

## Method Summary

Modifier and Type
Method
Description
`uk.ac.starlink.table.StarTable`
`map(uk.ac.starlink.table.StarTable inTable)`
Converts the input table to a table containing internal match results.

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### Match1Mapping

public Match1Mapping(uk.ac.starlink.table.join.MatchEngine matchEngine, uk.ac.starlink.table.join.Match1Type type1, String[] tupleExprs, uk.ac.starlink.table.join.ProgressIndicator progger, uk.ac.starlink.table.RowRunner runner)
Constructs a Match1Mapping by giving instructions about how the internal match result table will be produced from the input table.

Parameters:
  `matchEngine` - match engine
  `type1` - type of internal match result table
  `tupleExprs` - array of JEL expressions to execute in the context of the input table, one for each element of the matchEngine's tuple
  `progger` - progress indicator
  `runner` - controls parallel implementation, or null for sequential

## Method Details

### map

public uk.ac.starlink.table.StarTable map(uk.ac.starlink.table.StarTable inTable) throws uk.ac.starlink.task.TaskException, IOException
Converts the input table to a table containing internal match results.

Specified by:
  `map` in interface `SingleTableMapping`
Parameters:
  `inTable` - input table
Returns:
  match result table
Throws:
  `uk.ac.starlink.task.TaskException`
  `IOException`